aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLukas Fleischer <calcurse@cryptocrack.de>2012-01-22 16:39:00 +0100
committerLukas Fleischer <calcurse@cryptocrack.de>2012-01-22 16:40:00 +0100
commitcb69a4c0871fc26f85f0133ba4fba0acbc523be4 (patch)
tree86753dcc77321637fb135e6b407010bc9c9b82bb
parentdbb19b7c25739518b36859dfd023ac9049770e45 (diff)
downloadcalcurse-cb69a4c0871fc26f85f0133ba4fba0acbc523be4.tar.gz
calcurse-cb69a4c0871fc26f85f0133ba4fba0acbc523be4.zip
test/: Add test cases for "-a" and "-n"
* appointment-001.sh: Compare output of "-a" with hardcoded data. * next-001.sh: Compare output of "-n" with hardcoded data. Signed-off-by: Lukas Fleischer <calcurse@cryptocrack.de>
-rw-r--r--test/Makefile.am4
-rwxr-xr-xtest/appointment-001.sh19
-rwxr-xr-xtest/next-001.sh17
3 files changed, 39 insertions, 1 deletions
diff --git a/test/Makefile.am b/test/Makefile.am
index d16b9d1..539d75c 100644
--- a/test/Makefile.am
+++ b/test/Makefile.am
@@ -12,7 +12,9 @@ TESTS = \
day-003.sh \
range-001.sh \
range-002.sh \
- range-003.sh
+ range-003.sh \
+ appointment-001.sh \
+ next-001.sh
check_PROGRAMS = run-test
check_SCRIPTS = $(TESTS)
diff --git a/test/appointment-001.sh b/test/appointment-001.sh
new file mode 100755
index 0000000..18d5368
--- /dev/null
+++ b/test/appointment-001.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+if [ ! -x "$(command -v faketime)" ]; then
+ echo "libfaketime not found - skipping $0..."
+ exit 1
+fi
+
+if [ "$1" = 'actual' ]; then
+ faketime '2011-02-25 23:42' calcurse -D data -a
+elif [ "$1" = 'expected' ]; then
+ cat <<EOD
+02/25/11:
+ * Socket ghastlier
+ - ..:.. -> ..:..
+ Covenants useful smoker's
+EOD
+else
+ ./run-test "$0"
+fi
diff --git a/test/next-001.sh b/test/next-001.sh
new file mode 100755
index 0000000..124b47b
--- /dev/null
+++ b/test/next-001.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+if [ ! -x "$(command -v faketime)" ]; then
+ echo "libfaketime not found - skipping $0..."
+ exit 1
+fi
+
+if [ "$1" = 'actual' ]; then
+ faketime '1912-07-10 04:10' calcurse -D data -n
+elif [ "$1" = 'expected' ]; then
+ cat <<EOD
+next appointment:
+ [13:37] Impersonating integer broils blame
+EOD
+else
+ ./run-test "$0"
+fi